Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#76331 - [npm-check-updates] Add dependencies to yarn and pnpm

Attached to Project: Community Packages
Opened by Martin (MartinX3) - Friday, 28 October 2022, 16:40 GMT
Last edited by Toolybird (Toolybird) - Saturday, 29 October 2022, 22:56 GMT
Task Type Feature Request
Category Packages
Status Assigned   Reopened
Assigned To Sven-Hendrik Haase (Svenstaro)
Felix Yan (felixonmars)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 1
Private No

Details

Description:

Remove the hard dependency to npm.
It works with pnpm and yarn as well, so any of these 3 must be installed.
(pnpm is the successor of npm and yarn)


Additional info:
* package version(s) 16.3.15-1
This task depends upon

Comment by Toolybird (Toolybird) - Friday, 28 October 2022, 19:40 GMT
pnpm is AUR so it (currently) cannot be added as a dep
Comment by Martin (MartinX3) - Saturday, 29 October 2022, 22:52 GMT
  • Field changed: Percent Complete (100% → 0%)
yarn is in the normal package repo.
Comment by Toolybird (Toolybird) - Saturday, 29 October 2022, 22:56 GMT
Yes, but for this to work, both npm and yarn would need to be modified to provide a "virtual" pkg which npm-check-updates could depend upon. I doubt it's worth the effort but lets see if PM's are interested.

Loading...